#2905 closed project (fixed)

Merge LEON

Reported by: Tanu Hari Dixit Owned by: Daniel Hellstrom
Priority: normal Milestone: 5.1
Component: arch/sparc Version:
Severity: normal Keywords: SoC, BSP
Cc: Blocked By:
Blocking:

Description

Merge LEON

Students: Past, Present, and Potential Students

Status: Some work may be done.

Introduction: Merge Leon RTEMS and mainstream RTEMS merge the Leon DriverManager, samples, and LEON-RTEMS into mainstream RTEMS.

Goal: Concise statement of the overall goal of the project. Refine this initial statement to include: project deliverables (code, docs, testing), required/suggested methodology, standards of quality, possible goal extensions beyond the main objective.

Requirements: List the requirements and level of expertise you estimate are required by the developer tackling this project will have to have: Required level of programming language(s), specific areas of RTEMS or tools, level of familiarity with RTEMS, cross-development, GNU/Linux, etx., development/documentation/testing tools, mathematical/algorithmic background, other desirable skills.

Resources: Current RTEMS developers, papers, etc that may help you in this project.

Acknowledgements

  • who helped and did work

Miscellaneous Sections

As the project progresses, you will need to add build instructions, etc and this page will evolve from a project description into a HOWTO.

References

  • TBD

Other sections: If you have more to say about the project that doesn't fit in the proposed sections of this template, feel free to add other sections at will.

Change History (7)

comment:1 Changed on Feb 6, 2017 at 4:02:32 AM by Chris Johns

Type: enhancementproject

comment:2 Changed on Mar 2, 2017 at 8:23:10 PM by Gedare Bloom

Keywords: BSP added

comment:3 Changed on Mar 2, 2017 at 8:26:08 PM by Gedare Bloom

I'm fairly certain this is "done".

comment:4 Changed on Mar 6, 2017 at 6:13:55 AM by Sebastian Huber

Milestone: Indefinite4.12
Resolution: fixed
Status: newclosed
Version: 4.11

This is mostly done and certainly not a GSoC project.

comment:5 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:6 Changed on Oct 10, 2017 at 6:53:06 AM by Sebastian Huber

Component: bspsarch/sparc

comment:7 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.